summaryrefslogtreecommitdiff
path: root/app-backup
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-12-17 17:37:47 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-12-17 17:37:47 +0000
commit6162e0998912e3581bc7279b1ccdab856e057bc7 (patch)
treef4548a30d7e2fa340a9e33fafb42279a7c193b2b /app-backup
parentfe70132259f6f9ad49ddfb55e98d2df21aea27f5 (diff)
app-backup/timeshift : version bump
Diffstat (limited to 'app-backup')
-rw-r--r--app-backup/timeshift/Manifest2
-rw-r--r--app-backup/timeshift/files/timeshift-22.11.1-build-system.patch (renamed from app-backup/timeshift/files/timeshift-22.06.1-makefile.patch)44
-rw-r--r--app-backup/timeshift/timeshift-22.06.1-r1.ebuild61
-rw-r--r--app-backup/timeshift/timeshift-22.11.1-r1.ebuild84
4 files changed, 117 insertions, 74 deletions
diff --git a/app-backup/timeshift/Manifest b/app-backup/timeshift/Manifest
index 06d16956..76edf8aa 100644
--- a/app-backup/timeshift/Manifest
+++ b/app-backup/timeshift/Manifest
@@ -1 +1 @@
-DIST timeshift-22.06.1-r1.tar.gz 1429399 BLAKE2B 90dcfa50bccedcca07044b6e42cb41773aa9d53f42855e3bfdb28140b8fd4359283225928e1c598116feab301baa6b42aebade2bb4f107eed1d82412d52a9639 SHA512 eb245c358ff2ba8e3b3c367dd0ebe69a3b450ca7bd31f5bd2fd9d5b2281f39ce90e3086c1649f73a8b240c7a05cd308534abc88085653d5bc7b244ba2d9a2ef7
+DIST timeshift-22.11.1-r1.tar.gz 1490993 BLAKE2B ddee86cada8cb9982725c754977f96d260b161a15a12086fcd325d9da9789b6600a3d99d44d8c6fbe60ed39187c93f3bfde62dc889c2217219a44121d831f58f SHA512 cd5226e2400743ce0c1da077103caeb61f320c73e5fb409f57c0f10bba5c06893bcc0e5e588fb03b397ffbd76bb43498f18e70e5964947ad950d4edfe1dd6967
diff --git a/app-backup/timeshift/files/timeshift-22.06.1-makefile.patch b/app-backup/timeshift/files/timeshift-22.11.1-build-system.patch
index 3343bc24..cac54b28 100644
--- a/app-backup/timeshift/files/timeshift-22.06.1-makefile.patch
+++ b/app-backup/timeshift/files/timeshift-22.11.1-build-system.patch
@@ -1,37 +1,44 @@
+diff --git a/src/makefile b/src/makefile
+index 0f61c35..add4dc2 100644
--- a/src/makefile
+++ b/src/makefile
-@@ -1,6 +1,6 @@
+@@ -1,8 +1,11 @@
SHELL=/bin/bash
-CFLAGS=--std=c99
-EXECUTABLES = find msgmerge msgfmt install rm mkdir cp chmod valac
-+CFLAGS += --std=c99
++CFLAGS+= --std=c99
+EXECUTABLES = find msgmerge msgfmt install rm mkdir cp chmod $(VALAC)
CHECKEXECS := $(foreach exec,$(EXECUTABLES), $(if $(shell which $(exec)),,$(error No $(exec) found, install it)))
++INSTALL_GTK ?= true
++INSTALL_CONSOLE ?= true
++
prefix=/usr
-@@ -50,8 +50,8 @@ all: app-gtk app-console
+ sysconfdir=/etc
+ appconfdir=$(sysconfdir)/timeshift
+@@ -50,8 +53,8 @@ all: app-gtk app-console
app-gtk:
#timeshift-gtk
- valac -X -D'GETTEXT_PACKAGE="${app_name}"' \
-- --Xcc="-lm" --Xcc="-O3" ${symbols} \
+- --Xcc="-lm" --Xcc="-Os" ${symbols} \
+ $(VALAC) -v -X -D'GETTEXT_PACKAGE="${app_name}"' \
-+ --cc=$(CC) $(foreach flag, $(CFLAGS) $(LDFLAGS), -X $(flag)) --Xcc="-lm" ${symbols} \
++ --cc="$(CC)" $(foreach flag, $(CFLAGS) $(LDFLAGS), -X $(flag)) --Xcc="-lm" ${symbols} \
Core/*.vala Gtk/*.vala Utility/*.vala Utility/Gtk/*.vala \
-o ${app_name}-gtk \
--pkg glib-2.0 --pkg gio-unix-2.0 --pkg posix \
-@@ -61,8 +61,8 @@ app-gtk:
+@@ -61,8 +64,8 @@ app-gtk:
app-console:
#timeshift
- valac -X -D'GETTEXT_PACKAGE="${app_name}"' \
-- --Xcc="-lm" --Xcc="-O3" ${symbols} \
+- --Xcc="-lm" --Xcc="-Os" ${symbols} \
+ $(VALAC) -v -X -D'GETTEXT_PACKAGE="${app_name}"' \
+ --cc="$(CC)" $(foreach flag, $(CFLAGS) $(LDFLAGS), -X $(flag)) --Xcc="-lm" ${symbols} \
Core/*.vala Utility/*.vala Utility/Gtk/*.vala Console/*.vala \
-o ${app_name} \
--pkg glib-2.0 --pkg gio-unix-2.0 --pkg posix \
-@@ -71,7 +71,6 @@ app-console:
+@@ -71,7 +74,6 @@ app-console:
manpage:
./${app_name} --help > ../man/${app_name}.1
@@ -39,7 +46,23 @@
clean:
rm -rfv ../release/{source,i386,amd64,armel,armhf}
-@@ -115,7 +114,7 @@ install:
+@@ -96,10 +98,12 @@ install:
+
+ # binary
+ install -m 0755 ${app_name} "$(DESTDIR)$(bindir)"
+- install -m 0755 ${app_name}-gtk "$(DESTDIR)$(bindir)"
++ @if test "$(INSTALL_GTK)" = true; then \
++ install -m 0755 ${app_name}-gtk "$(DESTDIR)$(bindir)"; \
++ install -m 0755 ${app_name}-launcher "$(DESTDIR)$(bindir)"; \
++ fi
+ #install -m 0755 ${app_name}-uninstall "$(DESTDIR)$(bindir)"
+- install -m 0755 ${app_name}-launcher "$(DESTDIR)$(bindir)"
+-
++
+ # shared files
+ cp -dpr --no-preserve=ownership -t "$(DESTDIR)$(sharedir)/${app_name}" ./share/${app_name}/*
+ find $(DESTDIR)$(sharedir)/${app_name} -type d -exec chmod 755 {} \+
+@@ -115,7 +119,7 @@ install:
install -m 0644 ../files/${app_name}.json "$(DESTDIR)$(appconfdir)/default.json"
# man page
@@ -48,6 +71,3 @@
# app icons
cp -dpr --no-preserve=ownership -t "$(DESTDIR)$(sharedir)/icons" ./share/icons/*
---
-2.35.1
-
diff --git a/app-backup/timeshift/timeshift-22.06.1-r1.ebuild b/app-backup/timeshift/timeshift-22.06.1-r1.ebuild
deleted file mode 100644
index 5bcd648d..00000000
--- a/app-backup/timeshift/timeshift-22.06.1-r1.ebuild
+++ /dev/null
@@ -1,61 +0,0 @@
-# Copyright 2019-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit optfeature toolchain-funcs vala xdg
-
-DESCRIPTION="A system restore utility for Linux"
-HOMEPAGE="https://github.com/linuxmint/timeshift"
-SRC_URI="https://github.com/linuxmint/${PN}/archive/v${PV}.tar.gz -> ${PF}.tar.gz"
-
-LICENSE="LGPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND="
- dev-libs/atk
- dev-libs/glib:2
- dev-libs/json-glib
- dev-libs/libgee:=
- net-libs/libsoup:2.4
- media-libs/harfbuzz:=
- x11-libs/cairo
- x11-libs/gdk-pixbuf:2
- x11-libs/gtk+:3
- x11-libs/libX11
- x11-libs/pango
- x11-libs/xapp
- x11-libs/vte:2.91[vala]
-"
-RDEPEND="${DEPEND}
- net-misc/rsync
- virtual/cron
-"
-BDEPEND="
- $(vala_depend)
- virtual/pkgconfig
-"
-
-PATCHES=( "${FILESDIR}"/${P}-makefile.patch )
-
-src_prepare() {
- default
- vala_setup
-}
-
-src_compile() {
- tc-export CC
- emake all
- emake manpage
-}
-
-src_install() {
- emake prefix="${EPREFIX}"/usr sysconfdir="${EPREFIX}"/etc install DESTDIR="${D}"
- einstalldocs
-}
-
-pkg_postinst() {
- optfeature "btrfs support" sys-fs/btrfs-progs
-}
diff --git a/app-backup/timeshift/timeshift-22.11.1-r1.ebuild b/app-backup/timeshift/timeshift-22.11.1-r1.ebuild
new file mode 100644
index 00000000..d3aa93cf
--- /dev/null
+++ b/app-backup/timeshift/timeshift-22.11.1-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature toolchain-funcs vala xdg
+
+DESCRIPTION="A system restore utility for Linux"
+HOMEPAGE="https://github.com/linuxmint/timeshift"
+SRC_URI="https://github.com/linuxmint/${PN}/archive/${PV}.tar.gz -> ${PF}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gtk"
+
+DEPEND="
+ dev-libs/atk
+ dev-libs/glib:2
+ dev-libs/json-glib
+ >=dev-libs/libgee-0.18.0:=
+ net-libs/libsoup:2.4
+ media-libs/harfbuzz:=
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf:2
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/pango
+ >=x11-libs/xapp-1.0.4
+ x11-libs/vte:2.91[vala]
+"
+RDEPEND="${DEPEND}
+ net-misc/rsync
+ virtual/cron
+"
+BDEPEND="
+ $(vala_depend)
+ virtual/pkgconfig
+"
+
+PATCHES=( "${FILESDIR}"/${PN}-22.11.1-build-system.patch )
+
+src_prepare() {
+ default
+ vala_setup
+}
+
+src_compile() {
+ tc-export CC
+ if use gtk; then
+ # can't use all jobs here, fails to compile because some files getting removed
+ # during compilation, which are missing afterwards.
+ # https://bugs.gentoo.org/883157
+ # Pascal Jäger <pascal.jaeger@leimstift.de> (2022-11-26)
+ emake -j1
+ else
+ emake app-console -j1
+ fi
+ emake manpage
+}
+
+src_install() {
+ if use gtk; then
+ emake INSTALL_GTK=true prefix="${EPREFIX}"/usr sysconfdir="${EPREFIX}"/etc install DESTDIR="${D}"
+ else
+ emake INSTALL_GTK=false prefix="${EPREFIX}"/usr sysconfdir="${EPREFIX}"/etc install DESTDIR="${D}"
+ fi
+ einstalldocs
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ if ! use gtk; then
+ elog ""
+ elog "Installed timeshift without gtk GUI."
+ elog "If you need the gtk GUI emerge timeshift"
+ elog "with USE=\"gtk\""
+ fi
+ optfeature "btrfs support" sys-fs/btrfs-progs
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+}